Bug 1290891 - [abrt] menu-cache: g_path_is_absolute(): menu-cached killed by SIGSEGV
[abrt] menu-cache: g_path_is_absolute(): menu-cached killed by SIGSEGV
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: menu-cache (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4410a83149c7f3ead40833f458f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 14:25 EST by mastaiza
Modified: 2016-11-24 09:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:45:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.28 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: core_backtrace (5.42 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: dso_list (1.53 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: environ (1.21 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: maps (8.06 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: mountinfo (3.12 KB, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: open_fds (604 bytes, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: var_log_messages (380 bytes, text/plain)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-12-11 14:25 EST, mastaiza
no flags Details
File: backtrace (7.40 KB, text/plain)
2016-01-20 08:07 EST, Robin Lee
no flags Details

  None (edit)
Description mastaiza 2015-12-11 14:25:08 EST
Version-Release number of selected component:
menu-cache-1.0.0-4.D20151128git0b1e85c263.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/libexec/menu-cache/menu-cached /tmp/.menu-cached-:0-mastaiza
crash_function: g_path_is_absolute
executable:     /usr/libexec/menu-cache/menu-cached
global_pid:     8434
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_path_is_absolute at gfileutils.c:2100
 #1 canonicalize_filename at glocalfile.c:204
 #2 _g_local_file_new at glocalfile.c:302
 #3 g_daemon_vfs_get_file_for_path at gdaemonvfs.c:383
 #4 do_reload
 #5 on_file_changed
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 g_cclosure_marshal_generic_va at gclosure.c:1600
 #9 _g_closure_invoke_va at gclosure.c:864

Potential duplicate: bug 882441
Comment 1 mastaiza 2015-12-11 14:25:14 EST
Created attachment 1104774 [details]
File: backtrace
Comment 2 mastaiza 2015-12-11 14:25:15 EST
Created attachment 1104775 [details]
File: cgroup
Comment 3 mastaiza 2015-12-11 14:25:17 EST
Created attachment 1104776 [details]
File: core_backtrace
Comment 4 mastaiza 2015-12-11 14:25:18 EST
Created attachment 1104777 [details]
File: dso_list
Comment 5 mastaiza 2015-12-11 14:25:20 EST
Created attachment 1104778 [details]
File: environ
Comment 6 mastaiza 2015-12-11 14:25:22 EST
Created attachment 1104779 [details]
File: limits
Comment 7 mastaiza 2015-12-11 14:25:23 EST
Created attachment 1104780 [details]
File: maps
Comment 8 mastaiza 2015-12-11 14:25:25 EST
Created attachment 1104781 [details]
File: mountinfo
Comment 9 mastaiza 2015-12-11 14:25:26 EST
Created attachment 1104782 [details]
File: namespaces
Comment 10 mastaiza 2015-12-11 14:25:28 EST
Created attachment 1104783 [details]
File: open_fds
Comment 11 mastaiza 2015-12-11 14:25:30 EST
Created attachment 1104784 [details]
File: proc_pid_status
Comment 12 mastaiza 2015-12-11 14:25:31 EST
Created attachment 1104785 [details]
File: var_log_messages
Comment 13 mastaiza 2015-12-11 14:25:33 EST
Created attachment 1104786 [details]
File: exploitable
Comment 14 Robin Lee 2016-01-20 08:07:39 EST
Another user experienced a similar problem:

uninstalling LXQT group

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/menu-cache/menu-cached /tmp/.menu-cached-:0-cheese
crash_function: g_path_is_absolute
executable:     /usr/libexec/menu-cache/menu-cached
global_pid:     1857
kernel:         4.3.3-300.fc23.x86_64
package:        menu-cache-1.0.1-1.fc23
reason:         menu-cached killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Robin Lee 2016-01-20 08:07:42 EST
Created attachment 1116643 [details]
File: backtrace
Comment 16 Peter Mattern 2016-07-25 10:51:49 EDT
This is probably upstream issue https://github.com/lxde/menu-cache/issues/8:
menu-cached crashes when the *.menu file it's monitoring gets removed, the small time span the file isn't available when it's corresponding package gets updated is sufficient to trigger the crash.
Comment 17 Fedora End Of Life 2016-11-24 09:10:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.